// @ts-check
// https://bun.sh/docs/bundler
// @ts-ignore
import pkg from './package.json';
// import { resolvePath as rp } from '@kevisual/use-config/env';
import path from 'path';
const rp = (resolvePath) => {
  return path.resolve(process.cwd(), resolvePath);
};
const external = ['jsdom']
// bun run src/index.ts --
await Bun.build({
  target: 'node',
  format: 'esm',
  entrypoints: [rp('src/index.js')],
  outdir: rp('./dist'),
  naming: {
    entry: 'app.mjs',
  },
  external: external,

  define: {
    VERSION: JSON.stringify(pkg.version),
  },
  env: 'KEVISUAL_*',
});
