type InteractInfo = {
  collected_count: string | number;
  comment_count: string | number;
  share_count: string | number;
  followed: boolean;
  relation: 'both';
  liked: boolean;
  liked_count: string | number;
  collected: boolean;
};
export type NoteFromHtml = {
  xsec_token: string;
  interact_info: InteractInfo;
  time: number;
  last_update_time: number;
  ip_location: string;
  share_info: {
    un_share: boolean;
  };
  note_id: string;
  type: 'normal';
  desc: string;
  tag_list: string[];
  at_user_list: { user_id: string; nickname: string; xsec_token: string }[];
  title: string;
  user: {
    user_id: string;
    nickname: string;
    avatar: string;
    xsec_token: string;
  };
  image_list: {
    url: string;
    trace_id: string;
    url_per: string;
    live_photo: boolean;
    file_id: string;
    width: number;
    height: number;
    info_list: {
      image_scend: string; // WB_PRV WB_DFT,
      url: string;
    }[];
    url_default: string;
    stream: any;
  }[];
};
