import { app, xhsServices } from '@kevisual/xhs/app.ts';
import { Parse } from '@kevisual/xhs/libs/parse.ts';
app
  .route({
    path: 'fans',
    key: 'init-fans',
  })
  .define(async (ctx) => {
    const client = xhsServices.getClient();
    const res = await client.getFollowNotifications();
    if (res.code === 0) {
      const data = res.data;
      const fans = data.message_list;
      const fansList = Parse.getConnects(fans);
      // 
    } else {
      ctx.body = res;
    }
  })
  .addTo(app);
