import { Comment } from '@kevisual/xhs/services/xhs-db/comment.ts';

import { Sequelize, Model, DataTypes, InferAttributes, InferCreationAttributes } from 'sequelize';
import path from 'path';
const dbPath = path.join(process.cwd(), './test2.db');
const sequelize = new Sequelize({
  dialect: 'sqlite',
  storage: dbPath,
  logging: false,
});

const commentTest = async () => {
  await Comment.initModel(sequelize, null, { alter: true });
  const comment = await Comment.create({
    content: 'test',
    note_id: '1',
    user_id: '1',
    comment_id: '1',
  });
  console.log(comment.toJSON());
  const comments = await Comment.findAll();
  console.log(comments.map((item) => item.toJSON()));
};
commentTest();
