import { BailianProvider } from '@kevisual/ai';
import { config } from '../modules/config.ts';

// export const ai = new SiliconFlowProvider({
//   model: 'Qwen/Qwen3-32B',
//   // model: 'Pro/deepseek-ai/DeepSeek-R1',// 只有充值能用
//   apiKey: config.SILICONFLOW_API_KEY,
// });
// ai.getUsageInfo()
//   .then((usage) => {
//     console.log('AI usage info:', usage);
//   })
//   .catch((res) => {
//     console.error('Error fetching AI usage info:', res.status);
//   });

export const ai = new BailianProvider({
  baseURL: 'https://dashscope.aliyuncs.com/compatible-mode/v1',
  model: 'qwen3-235b-a22b',
  apiKey: config.BAILIAN_API_KEY,
});
console.log('Bailian AI initialized with model:', config.BAILIAN_API_KEY);

export const bailianModel = {
  turbo: 'qwen-turbo-2025-04-28',
  plus: 'qwen-plus-2025-04-28',
  a22b235: 'qwen3-235b-a22b',
};
