import { xhsServices, program } from '../common.ts';
import util from 'node:util';
const getConnections = async () => {
  const client = xhsServices.getClient();
  const res = await client.getFollowNotifications(2, '');
  if (res.code === 0) {
    console.log(util.inspect(res, { depth: null, colors: true }));
  }
};

program
  .command('get-connections')
  .description('获取关注通知')
  .action(async () => {
    await getConnections();
  });
