import { xhsServices, program } from '../common.ts';
import util from 'node:util';

// client.getNoteComments()

// client.getNoteByIdFromHtml('67dcc34e000000000602a8eb', 'ABuYS8Xb1o08DlRmMLIabdqnW0OKnLR9nMpDGq5bVRdvk').then((res) => {
//   console.log(res);
// });
const getNoteById = async () => {
  const client = xhsServices.getClient();
  // client.getNoteById('68136dab0000000007034c46', 'LByEmonX8WfJ9ebpAowVbOZX9Xh8T0Qkjil5KRFqDD6LM').then((res) => {
  //   console.log(res);
  // });

  const res = await client.getNoteById('68136dab0000000007034c46', 'LB6fmNfsd0keAQNjh3zOejDC2TVQLGY3zlTZjeRazBZdI=');
  // console.log(res);
};
const getNote = async () => {
  // const id = '68136dab0000000007034c46';
  // const x = 'LByEmonX8WfJ9ebpAowVbOZX9Xh8T0Qkjil5KRFqDD6LM=';
  const id = '68136dab0000000007034c46';
  const x = 'LB6fmNfsd0keAQNjh3zOejDC2TVQLGY3zlTZjeRazBZdI=';
  const client = xhsServices.getClient();
  const res = await client.getNote(id, x).then((res) => {
    console.log(util.inspect(res, { depth: null }));
    return res;
  });
  console.log('type res', typeof res);
  if (res.code === 0) {
    console.log('desc', res.data.desc);
  }
};
program
  .command('get-note')
  .description('get note')
  .action(async () => {
    getNote();
  });

program
  .command('get-note-by-id')
  .description('get note by id')
  .action(async () => {
    getNoteById();
  });
