import { App, QueryRouterServer } from '@kevisual/router';

export const app = new App();
app
  .route({
    path: 'k',
    key: 'k',
  })
  .define(async (ctx) => {
    ctx.body = 'hello world';
  })
  .addTo(app);

const res = await app.router.queryRoute({ path: 'k', key: 'k' });
console.log('res', res);
